#
# spec file for package flac (Version 1.1.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libogg libogg-devel libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           flac
BuildRequires:  gcc-c++ libogg-devel
Summary:        Free Lossless Audio Codec
Version:        1.1.2
Release:        15.2
License:        LGPL
Group:          System/Libraries
Source:         %{name}-%{version}.tar.bz2
URL:            http://flac.sourceforge.net/
Patch1:         flac-prototypes.dif
Patch2:         flac-no-xmms.diff
Patch3:         flac-compat.dif
Patch4:         flac-uninitialized-fix.diff
Patch7:         flac-xmms-fix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FLAC is an open source lossless audio codec developed by Josh Coalson.



Authors:
--------
    Josh Coalson

%debug_package
%package devel
Summary:        FLAC Library Development Package
License:        LGPL
Group:          System/Libraries
Requires:       flac = %{version}, glibc-devel, libstdc++-devel, libogg-devel

%description devel
This package contains the files needed to compile programs that use the
FLAC library.



Authors:
--------
    Josh Coalson

%prep
%setup
%patch1
%patch2
%patch3
%patch4
%patch7
%{?suse_update_config:%{suse_update_config -f}}

%build
autoreconf --force --install
%define warn_flags -W -Wall -Wstrict-prototypes -Wformat-security
%ifarch ppc
extra_opts="--disable-asm-optimizations"
%endif
# force to add -fPIC -DPIC
CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC %{warn_flags} -fno-strict-aliasing" \
CXXFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC %{warn_flags} -fno-strict-aliasing" \
./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} $extra_opts
make

%install
make DESTDIR="$RPM_BUILD_ROOT" install
# documents
mkdir -p $RPM_BUILD_ROOT%{_docdir}
mv $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name}
cp -a AUTHORS README COPYING.* $RPM_BUILD_ROOT%{_docdir}/%{name}

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_docdir}/%{name}
%{_libdir}/lib*.so.*
%{_bindir}/*
%{_mandir}/man*/*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_includedir}/*
%{_datadir}/aclocal/*.m4

%changelog -n flac
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jul 07 2005 - tiwai@suse.de
- fix Requires of devel subpackage.
* Wed May 25 2005 - tiwai@suse.de
- updated to version 1.1.2.
* Fri Feb 25 2005 - tiwai@suse.de
- split flac-xmms and flac-bmp plugins to another spec file
  to avoid too deep dependencies.
* Fri Jan 28 2005 - tiwai@suse.de
- fix many compile warnings
- add BMP plugin support
* Fri Jan 21 2005 - tiwai@suse.de
- updated to version 1.1.1.
* Tue Aug 24 2004 - tiwai@suse.de
- fixed neededforbuild for xmms.
* Tue Apr 27 2004 - ro@suse.de
- add -fno-strict-aliasing
* Wed Jan 21 2004 - tiwai@suse.de
- fixed quoting in m4 files.
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig to %%postun
* Wed May 28 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Tue Apr 01 2003 - ro@suse.de
- added xmms-devel to neededforbuild
* Thu Feb 13 2003 - tiwai@suse.de
- fixed the installation path of xmms plugin.
- added la file for plugin.
* Mon Jan 27 2003 - tiwai@suse.de
- updated to version 1.1.0.
* Wed Nov 27 2002 - tiwai@suse.de
- added the compatible layer for version 1.0.3 (flac-compat.dif).
* Mon Nov 25 2002 - tiwai@suse.de
- updated to version 1.0.4.
- fixed neeededforbuild: xf86 -> x-devel-packages.
- added id3lib to neededforbuild.
- regenrated prototype patches.  renamed the patch to avoid
  name confliction.
* Tue Sep 17 2002 - pthomas@suse.de
- Add -lsdc++ to LIBADD in src/libFLAC++/Makefile.am to work
  around a bug in libtool 1.4.2.
- Properly use (void) not () in prototypes.
- Omit -I/usr/include from LIBFLAC_CFLAGS in libFLAC.m4 as
  it's searched by default.
- Omit -L/usr/lib from LIBFLAC_LIBS in libFLAC.m4
* Mon Jul 29 2002 - tiwai@suse.de
- added %%run_ldconfig.
* Fri Jul 05 2002 - tiwai@suse.de
- updated to version 1.0.3.
* Mon Jun 24 2002 - tiwai@suse.de
- fixed file permission of xmms plugins.
* Tue May 21 2002 - tiwai@suse.de
- added missing *.so to the filelist.
* Tue May 21 2002 - tiwai@suse.de
- initial version: 1.0.2.
